Oprava instalace 3.2.0

Máte problémy s instalaci phpBB3 nebo s konverzi z phpBB2 na phpBB3? Zde naleznete pomoc.
MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 11:45:37

Nepodařila se a nedokončila se instalace verze 3.2.0, přechodem z verze 3.1.10 ... ke konci instalace naskočilo hlášení o překročení časových limitů.
Nyní již nelže instalaci znovu spustit, aby proběhla znovu a dokončila se v pořádku. To ani když vymažu data ze složky /Store (kromě souborů .htaccess, index.htm a io_lock.lock).
Forum se v administraci hlásí jako verze 3.2.0. Ovšem chybí v něm většina nových funkcí, které v této poslední verzi jsou. Chov se jakoby byly smíchané ty 2 verze dohromady, respektive větší část byla stále 3.1.10 a jenom se to tváří jako verze 3.2.0 (například VigLink v ACP vůbec není a podobně)
Také všechny posty, které v sobě mají BB kódy (například tučné písmo atd.) tyto kódy rovnou zobrazují jako text.

Problém je, že když v administraci vypnu jakýkoliv mod, provedu nějakou zásadnější změnu ... celé forum spadne a naskočí pouze chybová hláška. Pokud nyní přes ftp nakopíruji zálohu adresáře /cache, fórum zase naskočí. Ale nelze v něm žádné změny provádět jinak zase spadne. V praxi je tedy nepoužitelné.

Chybová hláška je většinou:
"Fatal error: Uncaught exception 'Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException' with message 'The service "phpbb.viglink.acp_listener" has a dependency on a non-existent service "language".' in /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php:58 Stack trace: #0 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(42): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processReferences(Array) #1 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(36): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processDefinition(Object(Symfony\Component\DependencyInjection\Definition)) #2 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/Compiler.php(104): Symfony\Component\DependencyInjection\Compil in /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php on line 58"

http://forum.wiama.cz

Ví někdo, jak nepoškodit data fóra a provést reinstalaci verze 3.2.0, která by si prošla a opravila, případně nahradila jednotlivé soubory, aby to opravdu byla na konci funkční jednotná verze?

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 465
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod Otakar Pěnkava » stř 11. led 2017 12:59:42

U koho hostujete?
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy neposkytuji podporu.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 13:00:51

pipni.cz

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 465
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod Otakar Pěnkava » stř 11. led 2017 13:05:11

Máte na fóru nějaké rozšíření?
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy neposkytuji podporu.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 13:19:29

Spoustu, odhadem cca 20.
Bohužel když jakékoliv zapnu nebo vypnu, po aktualizaci stránky hned celé fórum spadne a chybovým hlášením které jsem psal v úvodu, takže se nedají nijak "deaktivovat". Pokud mody zkusím jenom nez odinstalace a vypnutí ručně přes ftp smazat, dojde k pádu stejnému okamžitě.

Dodám, i když to teď není podstatné, do okamžiku aktualizace na verzi 3.2.0 všechno včetně rozšíření fungovalo na bezvadnou, žádný kolaps.

A ručně smazat forum a ftp nahrát zálohu také nejde, protože si aktualizace už převedla do nové verze databázi. Holt oříšek :-(

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 465
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod Otakar Pěnkava » stř 11. led 2017 13:28:45

Pokud proběhla aktualizace databáze úspěšně, zkuste smazat staré fórum a nahrát čisté phpBB a pak nahrát dodatečně všechna rozšíření. Mělo by to začít fungovat. Pokud ne, pošlete co vám to vypisuje za chybu.

Dále zkuste mi prosím zaslat seznam vašich rozšíření, některá nemusí být kompatibilní s novou verzí.
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy neposkytuji podporu.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 13:42:27

Začnu od konce, to je nejrychlejší, seznam rozšíření:
Povolená rozšíření
Analogue Clock 1.0.3 Informace Zakázat
Background Image in Text Area 1.0.2 Informace Zakázat
Ban Hammer 1.0.0 Informace Zakázat
Board Rules 1.0.3 Informace Zakázat
Button roll effect 1.0.1 Informace Zakázat
Change Post Time 1.0.0 Informace Zakázat
Copyright in footer 1.0.0 Informace Zakázat
FAQ manager 1.0.0 Informace Zakázat
Forum Icons 1.0.2 Informace Zakázat
Google Analytics 1.0.1 Informace Zakázat
Hide Index Info 1.0.0 Informace Zakázat
Loading indicator 1.0.0 Informace Zakázat
Member time counter 1.0.1 Informace Zakázat
NavBar Search 3.1.0 Informace Zakázat
Online Status 1.0.4 Informace Zakázat
Pokec 2.0.0-RC7 Informace Zakázat
Posting Buttons 1.0.0 Informace Zakázat
Profile Left 1.0.6 Informace Zakázat
Share On 2.0.0 Informace Zakázat
Site logo 1.0.0 Informace Zakázat
Thanks for posts 2.0.2 Informace Zakázat
Topic Solved 2.2.0 Informace Zakázat
Youtube Videos Gallery 1.0.2 Informace Zakázat
Zodiacs 1.0.2 Informace Zakázat
Zakázaná rozšíření
Hide Bots 1.0.1 Informace Povolit
Link menu 1.0.0 Informace Povolit
OneAll Social Login 2.5 Informace Povolit
VigLink

Pak tedy:
1.) smazat staré fórum = předpokládám natvrdo ručně přes ftp
2.) nahrát čisté fórum, verze 3.2.0
3.) nahrát a aktivovat jednotlivá rozšíření (zde je to jasné)
....
k druhému bodu se ujistím:
- nepřijdeme tak o grafické změny, jiný styl s úpravami
- o sdílené fotky v příspěvcích, soubory v příspěvcích
- počty lajků u příspěvků (když tedy odstraníme rozšíření které je spravuje)
- a spoustu dalších takovýchto dat z fóra?

Proto se snažíme předejít nové čisté instalaci a celému nastavování kompletního fóra znovu a hledáme cestu jak reinstalovat a tím opravit soubory na správnou verzi fóra.

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 465
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod Otakar Pěnkava » stř 11. led 2017 14:12:07

Proletěl jsem rozšíření a vše by mělo být OK.
Nicméně v patičce není uveden copyright na phpBB.cz, což je v rozporu s pravidly naší podpory. Pokud používáte alternativní češtinu, tak ji přeinstalujte oficiální. To může být i důvod, proč vám to vyhodilo chybu - alternativní čeština obsahuje spoustu chyb a nějaké chybějící řetězce, což mohlo způsobit i nefunkčnost aktualizace.
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy neposkytuji podporu.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 14:22:18

Ano, máme alternativní češtinu.
Přišla nám taková "lidovější" a hovorovější, pro naši cílovou skupinu vhodnější. Ale přenastavím obratem na oficiální češtinu :-)

V každém případě chová se vše naprosto stejně, i pokud přenastavím celé fórum do angličtiny bez překladu. To jsme již také zkoušeli.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » stř 11. led 2017 14:38:27

Provedeno a po přepnutí na oficiální češtinu opět bílá ohrazovka a chybové hlášení:

"Fatal error: Uncaught exception 'Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException' with message 'The service "phpbb.viglink.acp_listener" has a dependency on a non-existent service "language".' in /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php:58 Stack trace: #0 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(42): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processReferences(Array) #1 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(36): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processDefinition(Object(Symfony\Component\DependencyInjection\Definition)) #2 /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/Compiler.php(104): Symfony\Component\DependencyInjection\Compil in /DISK2/WWW/wiama.cz/forum/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php on line 58"

Takže zase musím ručně přes ftp nakopírovat zazálohovaný obsah /cache a teprve poté fórum naskočí.
Jinak fórum nefunguje :-(
Nějaký návrh řešení, při kterém se nepřijde o data jak jsem popisoval?

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » čtv 12. led 2017 8:31:09

Aktuální situace:
Obrázek

Někdo nějaké nápady, jak přesvědčit fórum, že je opravdu stále verze 3.1.10 aby instalaci spustilo a opravilo si vše nedokončené?

Uživatelský avatar
j-z
Příspěvky: 18
Registrován: sob 10. led 2015 1:08:48
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod j-z » pát 13. led 2017 23:34:36

Nepodařila se a nedokončila se instalace verze 3.2.0, přechodem z verze 3.1.10 ... ke konci instalace naskočilo hlášení o překročení časových limitů.
...[/b]
Mám podobnou zkušenost z testování, citace:
Instalátor detekoval časový limit
Instalátor detekoval časový limit (timeout). Můžete se pokusit se aktualizovat stránku, což může vést k poškození poškození dat. Doporučujeme vám buď zvýšit hodnotu ve vašem nastavení timeoutu, nebo můžete zkusit použít CLI.
To vše při volbě "automaticky přes ftp". Možný popis problému je zde: http://angrezphoto.com/forum1/viewtopic ... 1224#p1217. Osobně jsem to vyřešil načtením zazálohované databáze, při nové instalaci jsem se vyvaroval "automaticky přes ftp", tj. dělal jsem to klasicky ručně. Pak už žádný problém nebyl. Pro jistotu jsem před aktualizací všechny rozšíření zakázal.

Uživatelský avatar
Otakar Pěnkava
Administrátor
Administrátor
Příspěvky: 465
Registrován: sob 25. říj 2008 16:17:14
Kontaktovat uživatele:

Re: Oprava instalace 3.2.0

Příspěvekod Otakar Pěnkava » pon 16. led 2017 12:58:14

J-z: Já to prováděl automaticky přes FTP a vše proběhlo v pořádku. Může to být ale rozdílnou konfigurací serveru.
Aktuální situace:
Obrázek

Někdo nějaké nápady, jak přesvědčit fórum, že je opravdu stále verze 3.1.10 aby instalaci spustilo a opravilo si vše nedokončené?
V souboru includes/constants.php je uvedeno číslo verze.
Dále pak v databázi, konkrétně v tabulce phpbb_config řádek version.

Po změně čísla v DB je potřeba promazat cache.
Starám se o projekt phpBB.cz od doby, kdy jsem jej zachránil před zaniknutím. Pomůžete mi a dostaneme jej zase nahoru?
Přes soukromé zprávy neposkytuji podporu.

Polskykotel
Příspěvky: 3
Registrován: čtv 19. led 2017 10:42:41

Re: Oprava instalace 3.2.0

Příspěvekod Polskykotel » čtv 19. led 2017 10:45:38

Ahoj stalo se mi to obdobně. Fórum funguje, jen při vkládání příspěvku vypíše error. A navíc kolega omylem smazal starou zálohu. Tak tedy zkusím udělat čistou instalaci. Snad bude vše ok.

MajaWiky
Příspěvky: 14
Registrován: úte 08. lis 2016 12:11:24

Re: Oprava instalace 3.2.0

Příspěvekod MajaWiky » pát 20. led 2017 12:40:46

Ahoj stalo se mi to obdobně. Fórum funguje, jen při vkládání příspěvku vypíše error. A navíc kolega omylem smazal starou zálohu. Tak tedy zkusím udělat čistou instalaci. Snad bude vše ok.
V podstatě jsem se dostal do stejné fáze. Vše ostatní se podařilo nahodit, fórum funguje, ale při zadání nového příspěvku naskočí error. Příspěvek se přesto odešle a založí, jen se musí znovu načíst celá stránka.

Takže stále zůstává otázka, jak provést opravu a přeinstalaci verze 3.2.0, za podmínek popsaných výše (především nepoškodit data a běžná instalace zkolabuje na hlášení, že tato verze již nainstalovaná je.)

Snad někdo na něco přijde dříve, než se vydá další verze, která to pak opraví :-D


Zpět na „phpBB Podpora“

Kdo je online

Uživatelé prohlížející si toto fórum: Žádní registrovaní uživatelé a 0 hostů